Foreman - Bug #5401

Expanding foreman-debug tar file can munge permissions in /tmp
04/22/2014 08:00 PM - Stefan Lasiewski

Status: Closed

Priority: Normal

Assignee: Lukas Zapletal

Category: Packaging

Target version: 1.5.0

Difficulty: trivial Fixed in Releases:

Triaged: Found in Releases: 1.4.2
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| created a foreman-debug file. When | expand the tar file in my /tmp directory, it overwrites the permissions for /tmp , which can
cause other problems.

When creating the tar file, perhaps create a sub-directory before collecting all of the various files so that it doesn't accidentally
expand over files in the current directory?

Steps to reproduce:
1. Create a debug file
[root@puppetmaster ~]# foreman-debug
HOSTNAME: puppetmaster.example.org
0S: redhat
RELEASE: Scientific Linux release 6.5 (Carbon)
FOREMAN: 1.4.2
RUBY: ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-1inux]
PUPPET: 3.5.1

A debug file has been created: /tmp/foreman-debug-7BKxm.tar.xz (443728 bytes)
You may want to upload the tarball to our public server via rsync. There is a
write only directory (readable only by Foreman core developers) for that. Note
the rsync transmission is UNENCRYPTED:
rsync /tmp/foreman-debug-7BKxm.tar.xz rsync://theforeman.org/debug-incoming
Do you want to do this now? [y/N] N
[root@puppetmaster ~]#

2. Untar the tarfile and notice how the file munges the permissions

[root@puppetmaster ~J# cd /tmp
[root@puppetmaster tmpj# Is te—

[root@puppetmaster-tmpl#ls—id—
drwx———. 10 root root 4096 Apr 22 12:35 .

3. This causes other failures, such as mod_passenger being unable to work:
[ 2014-04-22 11:51:49.3837 4282/7f388d44f7e0 apache2/Hooks.cpp:757 ]: Unexpect

ed error in mod_passenger: Cannot connect to Unix socket '/tmp/passenger.1.0.4
260/generation-0/request': Permission denied (errno=13)
Backtrace:
(empty)

1. To fix this problem, reset the privileges on /tmp with the following chmod:

[root@puppetmaster tmp}# chmod 1777 .
[root@puppetmaster tmpj# Is -Id .
drwxrwxrwt. 10 root root 4096 Apr 22 12:35 .
[root@host tmp]#

Related issues:
Related to Foreman - Bug #2613: foreman-debug creates tmp/foreman-debug-$rand... Closed 06/04/2013

Associated revisions

Revision 30f3f8d7 - 04/25/2014 10:12 AM - Lukas Zapletal

fixes #5401 - fixed foreman-debug tarball creation including "'

Revision 19483bc - 04/28/2014 11:51 AM - Lukas Zapletal

fixes #5401 - fixed foreman-debug tarball creation including "'

(cherry picked from commit 30f3f8d7bfb32301144be156d2b35¢1467083054)

History

#1 - 04/23/2014 07:18 AM - Dominic Cleal
- Category set to Packaging

| think this happens because there's a "." directory in the first level of the tarball, which came about when we fixed #2613 (removing random dir
names). Removing that level would probably fix it too.

#2 - 04/23/2014 07:19 AM - Dominic Cleal
- Related to Bug #2613: foreman-debug creates tmp/foreman-debug-$rand in tarball added

#3 - 04/23/2014 10:10 AM - Lukas Zapletal

- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Target version set to 1.8.4

- Difficulty set to trivial

Fixed, thanks for investigation!

https://github.com/theforeman/foreman/pull/1398

#4 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#5 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#6 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#7 - 04/25/2014 10:12 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#8 - 04/25/2014 10:31 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 30f3f8d7bfb32301144be156d2b35¢1467083054.
